> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pelanor.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Upload Invoice



## OpenAPI

````yaml POST /v1/invoices/{id}/upload
openapi: 3.1.0
info:
  title: public/common/filters.proto
  version: version not set
servers:
  - url: https://api.pelanor.io
  - url: https://api-eu.pelanor.io
    description: Production (EU)
security:
  - ApiToken: []
tags:
  - name: QueryService
  - name: ReportExecutionService
  - name: SchemaService
  - name: CustomMetricsService
  - name: DimensionsService
  - name: IntegrationsService
  - name: UsersService
  - name: WorkspaceService
paths:
  /v1/invoices/{id}/upload:
    post:
      tags:
        - IntegrationsService
      summary: Upload an invoice file for processing
      parameters:
        - name: id
          in: path
          required: true
          style: simple
          explode: false
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UploadInvoiceRequest'
      responses:
        '200':
          description: Uploaded
          content:
            application/json:
              schema:
                type: object
components:
  schemas:
    UploadInvoiceRequest:
      type: object
      properties:
        vendor:
          type: string
        file_name:
          type: string
        file_content_base64:
          type: string
          description: Base64-encoded contents of the invoice file
      required:
        - vendor
        - file_name
        - file_content_base64
  securitySchemes:
    ApiToken:
      type: http
      scheme: bearer

````